<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleTags StructType
 * @subpackage Structs
 */
class VehicleTags extends AbstractStructBase
{
    /**
     * The Tags
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfVehicleTag
     */
    public $Tags;
    /**
     * Constructor method for VehicleTags
     * @uses VehicleTags::setTags()
     * @param \ArrayType\ArrayOfVehicleTag $tags
     */
    public function __construct(\ArrayType\ArrayOfVehicleTag $tags = null)
    {
        $this
            ->setTags($tags);
    }
    /**
     * Get Tags value
     * @return \ArrayType\ArrayOfVehicleTag|null
     */
    public function getTags()
    {
        return $this->Tags;
    }
    /**
     * Set Tags value
     * @param \ArrayType\ArrayOfVehicleTag $tags
     * @return \StructType\VehicleTags
     */
    public function setTags(\ArrayType\ArrayOfVehicleTag $tags = null)
    {
        $this->Tags = $tags;
        return $this;
    }
}
